Bug 985919 - C++ and C# client cannot read file "conf/qpidc.conf"
C++ and C# client cannot read file "conf/qpidc.conf"
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise MRG
Classification: Red Hat
Component: qpid-cpp (Show other bugs)
Development
All Windows
high Severity medium
: 3.0
: ---
Assigned To: Chuck Rolke
Petra Svobodová
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-18 09:51 EDT by Petra Svobodová
Modified: 2015-01-21 07:55 EST (History)
3 users (show)

See Also:
Fixed In Version: qpid-cpp-0.22-8
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-01-21 07:55:51 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Apache JIRA QPID-4801 None None None Never

  None (edit)
Description Petra Svobodová 2013-07-18 09:51:48 EDT
Description of problem:
When the C++ and C# clients start, they write warnings into the standard error: 
"[Unspecified] warning Config file not read: conf/qpidc.conf"

Version-Release number of selected component (if applicable):
qpid-cpp-win-3.7.22.1-1

How reproducible:
100%

Steps to Reproduce:
1. Unpack the packages and build examples.
2. Open a command line and run an example (f.e. hello_world <broker_hostname>

Actual results:
The warning message is displayed in the command line; see Aditional info section, please.

Expected results:
No warning message should be displayed.

Additional info:
Windows command line transcription:

C:\qpid_VS2008\bin\Release>hello_world.exe <broker_hostname>
2013-07-18 09:44:37 [Unspecified] warning Config file not read: conf/qpidc.conf
2013-07-18 09:44:37 [Unspecified] warning Config file not read: conf/qpidc.conf
2013-07-18 09:44:37 [Unspecified] warning Config file not read: conf/qpidc.conf
2013-07-18 09:44:37 [Unspecified] warning Config file not read: conf/qpidc.conf
Hello world!
Comment 3 Petra Svobodová 2013-08-23 05:00:06 EDT
The warning is not displayed yet and C++, C# and pre compiled examples work correctly.

Verified on qpid-cpp-win-3.22.11.1-1 on platforms Windows XP-x86, Windows7-x86 and x64, Windows Server2003-x86 and x64 and Windows Server2008-x86, x64 and R2.

--> VERIFIED

Note You need to log in before you can comment on or make changes to this bug.